searchData={"content_type":"text/markdown","items":[{"doc":"Auto-generated SDK for OpenAI APIs\nSee https://platform.openai.com/docs/api-reference/introduction for further info on REST endpoints\nMake sure to refer to the README on Github to see what is implemented and what isn't yet","ref":"ExOpenAI.html","title":"ExOpenAI","type":"module"},{"doc":"","ref":"ExOpenAI.html#start/2","title":"ExOpenAI.start/2","type":"function"},{"doc":"Modules for interacting with the `audio` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/audio","ref":"ExOpenAI.Audio.html","title":"ExOpenAI.Audio","type":"module"},{"doc":"Transcribes audio into the input language.\n\nEndpoint: `https://api.openai.com/v1/audio/transcriptions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---\n\n#","ref":"ExOpenAI.Audio.html#create_transcription/3","title":"ExOpenAI.Audio.create_transcription/3","type":"function"},{"doc":"- `file`: The audio file object (not file name) to transcribe, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `model`: ID of the model to use. Only `whisper-1` is currently available.\n\n\n\n#","ref":"ExOpenAI.Audio.html#create_transcription/3-required-arguments","title":"Required Arguments: - ExOpenAI.Audio.create_transcription/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `language`: The language of the input audio. Supplying the input language in [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) format will improve accuracy and latency.\n\n\n- `prompt`: An optional text to guide the model's style or continue a previous audio segment. The [prompt](https://platform.openai.com/docs/guides/speech-to-text/prompting) should match the audio language.\n\n\n- `response_format`: The format of the transcript output, in one of these options: json, text, srt, verbose_json, or vtt.\n\n\n- `temperature`: The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use [log probability](https://en.wikipedia.org/wiki/Log_probability) to automatically increase the temperature until certain thresholds are hit.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Audio.html#create_transcription/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Audio.create_transcription/3","type":"function"},{"doc":"Translates audio into English.\n\nEndpoint: `https://api.openai.com/v1/audio/translations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---\n\n#","ref":"ExOpenAI.Audio.html#create_translation/3","title":"ExOpenAI.Audio.create_translation/3","type":"function"},{"doc":"- `file`: The audio file object (not file name) translate, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `model`: ID of the model to use. Only `whisper-1` is currently available.\n\n\n\n#","ref":"ExOpenAI.Audio.html#create_translation/3-required-arguments","title":"Required Arguments: - ExOpenAI.Audio.create_translation/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `prompt`: An optional text to guide the model's style or continue a previous audio segment. The [prompt](https://platform.openai.com/docs/guides/speech-to-text/prompting) should be in English.\n\n\n- `response_format`: The format of the transcript output, in one of these options: json, text, srt, verbose_json, or vtt.\n\n\n- `temperature`: The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use [log probability](https://en.wikipedia.org/wiki/Log_probability) to automatically increase the temperature until certain thresholds are hit.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Audio.html#create_translation/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Audio.create_translation/3","type":"function"},{"doc":"Modules for interacting with the `chat` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/chat","ref":"ExOpenAI.Chat.html","title":"ExOpenAI.Chat","type":"module"},{"doc":"Creates a model response for the given chat conversation.\n\nEndpoint: `https://api.openai.com/v1/chat/completions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---\n\n#","ref":"ExOpenAI.Chat.html#create_chat_completion/3","title":"ExOpenAI.Chat.create_chat_completion/3","type":"function"},{"doc":"- `messages`: A list of messages comprising the conversation so far. [Example Python code](https://github.com/openai/openai-cookbook/blob/main/examples/How_to_format_inputs_to_ChatGPT_models.ipynb).\n\n- `model`: ID of the model to use. See the [model endpoint compatibility](https://platform.openai.com/docs/models/model-endpoint-compatibility) table for details on which models work with the Chat API.\n\n\n#","ref":"ExOpenAI.Chat.html#create_chat_completion/3-required-arguments","title":"Required Arguments: - ExOpenAI.Chat.create_chat_completion/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `frequency_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/gpt/parameter-details)\n\n\n- `function_call`: Controls how the model responds to function calls. `none` means the model does not call a function, and responds to the end-user. `auto` means the model can pick between an end-user or calling a function.  Specifying a particular function via `{\"name\": \"my_function\"}` forces the model to call that function. `none` is the default when no functions are present. `auto` is the default if functions are present.\n\n- `functions`: A list of functions the model may generate JSON inputs for.\n\n- `logit_bias`: Modify the likelihood of specified tokens appearing in the completion.\n\nAccepts a json object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.\n\n\n- `max_tokens`: The maximum number of [tokens](https://platform.openai.com/tokenizer) to generate in the chat completion.\n\nThe total length of input tokens and generated tokens is limited by the model's context length. [Example Python code](https://github.com/openai/openai-cookbook/blob/main/examples/How_to_count_tokens_with_tiktoken.ipynb) for counting tokens.\n\n\n- `n`: How many chat completion choices to generate for each input message.\n\n*Example*: `1`\n\n- `presence_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/gpt/parameter-details)\n\n\n- `stop`: Up to 4 sequences where the API will stop generating further tokens.\n\n\n- `stream`: If set, partial message deltas will be sent, like in ChatGPT. Tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-UShttps://platform.openai.com/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message. [Example Python code](https://github.com/openai/openai-cookbook/blob/main/examples/How_to_stream_completions.ipynb).\n\n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\nWe generally recommend altering this or `top_p` but not both.\n\n\n*Example*: `1`\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or `temperature` but not both.\n\n\n*Example*: `1`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Chat.html#create_chat_completion/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Chat.create_chat_completion/3","type":"function"},{"doc":"Modules for interacting with the `completions` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/completions","ref":"ExOpenAI.Completions.html","title":"ExOpenAI.Completions","type":"module"},{"doc":"Creates a completion for the provided prompt and parameters.\n\nEndpoint: `https://api.openai.com/v1/completions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/completions\n\n---\n\n#","ref":"ExOpenAI.Completions.html#create_completion/3","title":"ExOpenAI.Completions.create_completion/3","type":"function"},{"doc":"- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models/overview) for descriptions of them.\n\n\n- `prompt`: The prompt(s) to generate completions for, encoded as a string, array of strings, array of tokens, or array of token arrays.\n\nNote that   is the document separator that the model sees during training, so if a prompt is not specified the model will generate as if from the beginning of a new document.\n\n\n\n#","ref":"ExOpenAI.Completions.html#create_completion/3-required-arguments","title":"Required Arguments: - ExOpenAI.Completions.create_completion/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `best_of`: Generates `best_of` completions server-side and returns the \"best\" (the one with the highest log probability per token). Results cannot be streamed.\n\nWhen used with `n`, `best_of` controls the number of candidate completions and `n` specifies how many to return – `best_of` must be greater than `n`.\n\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens` and `stop`.\n\n\n- `echo`: Echo back the prompt in addition to the completion\n\n\n- `frequency_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/gpt/parameter-details)\n\n\n- `logit_bias`: Modify the likelihood of specified tokens appearing in the completion.\n\nAccepts a json object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this [tokenizer tool](https://platform.openai.com/tokenizer?view=bpe) (which works for both GPT-2 and GPT-3) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.\n\nAs an example, you can pass `{\"50256\": -100}` to prevent the   token from being generated.\n\n\n- `logprobs`: Include the log probabilities on the `logprobs` most likely tokens, as well the chosen tokens. For example, if `logprobs` is 5, the API will return a list of the 5 most likely tokens. The API will always return the `logprob` of the sampled token, so there may be up to `logprobs+1` elements in the response.\n\nThe maximum value for `logprobs` is 5.\n\n\n- `max_tokens`: The maximum number of [tokens](https://platform.openai.com/tokenizer) to generate in the completion.\n\nThe token count of your prompt plus `max_tokens` cannot exceed the model's context length. [Example Python code](https://github.com/openai/openai-cookbook/blob/main/examples/How_to_count_tokens_with_tiktoken.ipynb) for counting tokens.\n\n\n*Example*: `16`\n\n- `n`: How many completions to generate for each prompt.\n\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens` and `stop`.\n\n\n*Example*: `1`\n\n- `presence_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/gpt/parameter-details)\n\n\n- `stop`: Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n\n\n- `stream`: Whether to stream back partial progress. If set, tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-UShttps://platform.openai.com/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message. [Example Python code](https://github.com/openai/openai-cookbook/blob/main/examples/How_to_stream_completions.ipynb).\n\n\n- `suffix`: The suffix that comes after a completion of inserted text.\n\n*Example*: `\"test.\"`\n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\nWe generally recommend altering this or `top_p` but not both.\n\n\n*Example*: `1`\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or `temperature` but not both.\n\n\n*Example*: `1`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Completions.html#create_completion/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Completions.create_completion/3","type":"function"},{"doc":"Schema representing a ChatCompletionFunctionCallOption within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionFunctionCallOption.html","title":"ExOpenAI.Components.ChatCompletionFunctionCallOption","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionFunctionCallOption.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionFunctionCallOption.t/0","type":"type"},{"doc":"Schema representing a ChatCompletionFunctionParameters within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionFunctionParameters.html","title":"ExOpenAI.Components.ChatCompletionFunctionParameters","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionFunctionParameters.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionFunctionParameters.t/0","type":"type"},{"doc":"Schema representing a ChatCompletionFunctions within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionFunctions.html","title":"ExOpenAI.Components.ChatCompletionFunctions","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionFunctions.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionFunctions.t/0","type":"type"},{"doc":"Schema representing a ChatCompletionRequestMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html","title":"ExOpenAI.Components.ChatCompletionRequestMessage","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionRequestMessage.t/0","type":"type"},{"doc":"Schema representing a ChatCompletionResponseMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html","title":"ExOpenAI.Components.ChatCompletionResponseMessage","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionResponseMessage.t/0","type":"type"},{"doc":"Schema representing a ChatCompletionStreamResponseDelta within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.html","title":"ExOpenAI.Components.ChatCompletionStreamResponseDelta","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.t/0","type":"type"},{"doc":"Schema representing a CompletionUsage within the OpenAI API","ref":"ExOpenAI.Components.CompletionUsage.html","title":"ExOpenAI.Components.CompletionUsage","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CompletionUsage.html#t:t/0","title":"ExOpenAI.Components.CompletionUsage.t/0","type":"type"},{"doc":"Schema representing a CreateChatCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html","title":"ExOpenAI.Components.CreateChatCompletionRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html#t:t/0","title":"ExOpenAI.Components.CreateChatCompletionRequest.t/0","type":"type"},{"doc":"Schema representing a CreateChatCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html","title":"ExOpenAI.Components.CreateChatCompletionResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html#t:t/0","title":"ExOpenAI.Components.CreateChatCompletionResponse.t/0","type":"type"},{"doc":"Schema representing a CreateChatCompletionStreamResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionStreamResponse.html","title":"ExOpenAI.Components.CreateChatCompletionStreamResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateChatCompletionStreamResponse.html#t:t/0","title":"ExOpenAI.Components.CreateChatCompletionStreamResponse.t/0","type":"type"},{"doc":"Schema representing a CreateCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionRequest.html","title":"ExOpenAI.Components.CreateCompletionRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateCompletionRequest.html#t:t/0","title":"ExOpenAI.Components.CreateCompletionRequest.t/0","type":"type"},{"doc":"Schema representing a CreateCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionResponse.html","title":"ExOpenAI.Components.CreateCompletionResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateCompletionResponse.html#t:t/0","title":"ExOpenAI.Components.CreateCompletionResponse.t/0","type":"type"},{"doc":"Schema representing a CreateEditRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateEditRequest.html","title":"ExOpenAI.Components.CreateEditRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEditRequest.html#t:t/0","title":"ExOpenAI.Components.CreateEditRequest.t/0","type":"type"},{"doc":"Schema representing a CreateEditResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateEditResponse.html","title":"ExOpenAI.Components.CreateEditResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEditResponse.html#t:t/0","title":"ExOpenAI.Components.CreateEditResponse.t/0","type":"type"},{"doc":"Schema representing a CreateEmbeddingRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html","title":"ExOpenAI.Components.CreateEmbeddingRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html#t:t/0","title":"ExOpenAI.Components.CreateEmbeddingRequest.t/0","type":"type"},{"doc":"Schema representing a CreateEmbeddingResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html","title":"ExOpenAI.Components.CreateEmbeddingResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html#t:t/0","title":"ExOpenAI.Components.CreateEmbeddingResponse.t/0","type":"type"},{"doc":"Schema representing a CreateFileRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFileRequest.html","title":"ExOpenAI.Components.CreateFileRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateFileRequest.html#t:t/0","title":"ExOpenAI.Components.CreateFileRequest.t/0","type":"type"},{"doc":"Schema representing a CreateFineTuneRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFineTuneRequest.html","title":"ExOpenAI.Components.CreateFineTuneRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateFineTuneRequest.html#t:t/0","title":"ExOpenAI.Components.CreateFineTuneRequest.t/0","type":"type"},{"doc":"Schema representing a CreateFineTuningJobRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFineTuningJobRequest.html","title":"ExOpenAI.Components.CreateFineTuningJobRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateFineTuningJobRequest.html#t:t/0","title":"ExOpenAI.Components.CreateFineTuningJobRequest.t/0","type":"type"},{"doc":"Schema representing a CreateImageEditRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageEditRequest.html","title":"ExOpenAI.Components.CreateImageEditRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateImageEditRequest.html#t:t/0","title":"ExOpenAI.Components.CreateImageEditRequest.t/0","type":"type"},{"doc":"Schema representing a CreateImageRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageRequest.html","title":"ExOpenAI.Components.CreateImageRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateImageRequest.html#t:t/0","title":"ExOpenAI.Components.CreateImageRequest.t/0","type":"type"},{"doc":"Schema representing a CreateImageVariationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageVariationRequest.html","title":"ExOpenAI.Components.CreateImageVariationRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateImageVariationRequest.html#t:t/0","title":"ExOpenAI.Components.CreateImageVariationRequest.t/0","type":"type"},{"doc":"Schema representing a CreateModerationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationRequest.html","title":"ExOpenAI.Components.CreateModerationRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateModerationRequest.html#t:t/0","title":"ExOpenAI.Components.CreateModerationRequest.t/0","type":"type"},{"doc":"Schema representing a CreateModerationResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationResponse.html","title":"ExOpenAI.Components.CreateModerationResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateModerationResponse.html#t:t/0","title":"ExOpenAI.Components.CreateModerationResponse.t/0","type":"type"},{"doc":"Schema representing a CreateTranscriptionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html","title":"ExOpenAI.Components.CreateTranscriptionRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html#t:t/0","title":"ExOpenAI.Components.CreateTranscriptionRequest.t/0","type":"type"},{"doc":"Schema representing a CreateTranscriptionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionResponse.html","title":"ExOpenAI.Components.CreateTranscriptionResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranscriptionResponse.html#t:t/0","title":"ExOpenAI.Components.CreateTranscriptionResponse.t/0","type":"type"},{"doc":"Schema representing a CreateTranslationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationRequest.html","title":"ExOpenAI.Components.CreateTranslationRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranslationRequest.html#t:t/0","title":"ExOpenAI.Components.CreateTranslationRequest.t/0","type":"type"},{"doc":"Schema representing a CreateTranslationResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationResponse.html","title":"ExOpenAI.Components.CreateTranslationResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranslationResponse.html#t:t/0","title":"ExOpenAI.Components.CreateTranslationResponse.t/0","type":"type"},{"doc":"Schema representing a DeleteFileResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteFileResponse.html","title":"ExOpenAI.Components.DeleteFileResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.DeleteFileResponse.html#t:t/0","title":"ExOpenAI.Components.DeleteFileResponse.t/0","type":"type"},{"doc":"Schema representing a DeleteModelResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteModelResponse.html","title":"ExOpenAI.Components.DeleteModelResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.DeleteModelResponse.html#t:t/0","title":"ExOpenAI.Components.DeleteModelResponse.t/0","type":"type"},{"doc":"Schema representing a Embedding within the OpenAI API","ref":"ExOpenAI.Components.Embedding.html","title":"ExOpenAI.Components.Embedding","type":"module"},{"doc":"","ref":"ExOpenAI.Components.Embedding.html#t:t/0","title":"ExOpenAI.Components.Embedding.t/0","type":"type"},{"doc":"Schema representing a Error within the OpenAI API","ref":"ExOpenAI.Components.Error.html","title":"ExOpenAI.Components.Error","type":"module"},{"doc":"","ref":"ExOpenAI.Components.Error.html#t:t/0","title":"ExOpenAI.Components.Error.t/0","type":"type"},{"doc":"Schema representing a ErrorResponse within the OpenAI API","ref":"ExOpenAI.Components.ErrorResponse.html","title":"ExOpenAI.Components.ErrorResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ErrorResponse.html#t:t/0","title":"ExOpenAI.Components.ErrorResponse.t/0","type":"type"},{"doc":"Schema representing a FineTune within the OpenAI API","ref":"ExOpenAI.Components.FineTune.html","title":"ExOpenAI.Components.FineTune","type":"module"},{"doc":"","ref":"ExOpenAI.Components.FineTune.html#t:t/0","title":"ExOpenAI.Components.FineTune.t/0","type":"type"},{"doc":"Schema representing a FineTuneEvent within the OpenAI API","ref":"ExOpenAI.Components.FineTuneEvent.html","title":"ExOpenAI.Components.FineTuneEvent","type":"module"},{"doc":"","ref":"ExOpenAI.Components.FineTuneEvent.html#t:t/0","title":"ExOpenAI.Components.FineTuneEvent.t/0","type":"type"},{"doc":"Schema representing a FineTuningEvent within the OpenAI API","ref":"ExOpenAI.Components.FineTuningEvent.html","title":"ExOpenAI.Components.FineTuningEvent","type":"module"},{"doc":"","ref":"ExOpenAI.Components.FineTuningEvent.html#t:t/0","title":"ExOpenAI.Components.FineTuningEvent.t/0","type":"type"},{"doc":"Schema representing a FineTuningJob within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJob.html","title":"ExOpenAI.Components.FineTuningJob","type":"module"},{"doc":"","ref":"ExOpenAI.Components.FineTuningJob.html#t:t/0","title":"ExOpenAI.Components.FineTuningJob.t/0","type":"type"},{"doc":"Schema representing a FineTuningJobEvent within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJobEvent.html","title":"ExOpenAI.Components.FineTuningJobEvent","type":"module"},{"doc":"","ref":"ExOpenAI.Components.FineTuningJobEvent.html#t:t/0","title":"ExOpenAI.Components.FineTuningJobEvent.t/0","type":"type"},{"doc":"Schema representing a Image within the OpenAI API","ref":"ExOpenAI.Components.Image.html","title":"ExOpenAI.Components.Image","type":"module"},{"doc":"","ref":"ExOpenAI.Components.Image.html#t:t/0","title":"ExOpenAI.Components.Image.t/0","type":"type"},{"doc":"Schema representing a ImagesResponse within the OpenAI API","ref":"ExOpenAI.Components.ImagesResponse.html","title":"ExOpenAI.Components.ImagesResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ImagesResponse.html#t:t/0","title":"ExOpenAI.Components.ImagesResponse.t/0","type":"type"},{"doc":"Schema representing a ListFilesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFilesResponse.html","title":"ExOpenAI.Components.ListFilesResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListFilesResponse.html#t:t/0","title":"ExOpenAI.Components.ListFilesResponse.t/0","type":"type"},{"doc":"Schema representing a ListFineTuneEventsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTuneEventsResponse.html","title":"ExOpenAI.Components.ListFineTuneEventsResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListFineTuneEventsResponse.html#t:t/0","title":"ExOpenAI.Components.ListFineTuneEventsResponse.t/0","type":"type"},{"doc":"Schema representing a ListFineTunesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTunesResponse.html","title":"ExOpenAI.Components.ListFineTunesResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListFineTunesResponse.html#t:t/0","title":"ExOpenAI.Components.ListFineTunesResponse.t/0","type":"type"},{"doc":"Schema representing a ListFineTuningJobEventsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTuningJobEventsResponse.html","title":"ExOpenAI.Components.ListFineTuningJobEventsResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListFineTuningJobEventsResponse.html#t:t/0","title":"ExOpenAI.Components.ListFineTuningJobEventsResponse.t/0","type":"type"},{"doc":"Schema representing a ListModelsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListModelsResponse.html","title":"ExOpenAI.Components.ListModelsResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListModelsResponse.html#t:t/0","title":"ExOpenAI.Components.ListModelsResponse.t/0","type":"type"},{"doc":"Schema representing a ListPaginatedFineTuningJobsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.html","title":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.html#t:t/0","title":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.t/0","type":"type"},{"doc":"Replacement Component for Model API responses\nThis module was not part of the api documentation and got probably forgotten, so it has been manually provided by this package\nRpresents API responses such as:\n```\ncreated: 1649880484,\nid: \"text-davinci-insert-002\",\nobject: \"model\",\nowned_by: \"openai\",\nparent: nil,\npermission: [\n  %{\n    allow_create_engine: false,\n    allow_fine_tuning: false,\n    allow_logprobs: true,\n    allow_sampling: true,\n    allow_search_indices: false,\n    allow_view: true,\n    created: 1669066354,\n    group: nil,\n    id: \"modelperm-V5YQoSyiapAf4km5wisXkNXh\",\n    is_blocking: false,\n    object: \"model_permission\",\n    organization: \"*\"\n  }\n],\nroot: \"text-davinci-insert-002\"\n```","ref":"ExOpenAI.Components.Model.html","title":"ExOpenAI.Components.Model","type":"module"},{"doc":"","ref":"ExOpenAI.Components.Model.html#t:t/0","title":"ExOpenAI.Components.Model.t/0","type":"type"},{"doc":"Schema representing a OpenAIFile within the OpenAI API","ref":"ExOpenAI.Components.OpenAIFile.html","title":"ExOpenAI.Components.OpenAIFile","type":"module"},{"doc":"","ref":"ExOpenAI.Components.OpenAIFile.html#t:t/0","title":"ExOpenAI.Components.OpenAIFile.t/0","type":"type"},{"doc":"Reads configuration on application start, parses all environment variables (if any)\nand caches the final config in memory to avoid parsing on each read afterwards.","ref":"ExOpenAI.Config.html","title":"ExOpenAI.Config","type":"module"},{"doc":"","ref":"ExOpenAI.Config.html#api_key/0","title":"ExOpenAI.Config.api_key/0","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#api_url/0","title":"ExOpenAI.Config.api_url/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExOpenAI.Config.html#child_spec/1","title":"ExOpenAI.Config.child_spec/1","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#get/1","title":"ExOpenAI.Config.get/1","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#http_options/0","title":"ExOpenAI.Config.http_options/0","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#org_key/0","title":"ExOpenAI.Config.org_key/0","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#start_link/1","title":"ExOpenAI.Config.start_link/1","type":"function"},{"doc":"Modules for interacting with the `edits` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/edits","ref":"ExOpenAI.Edits.html","title":"ExOpenAI.Edits","type":"module"},{"doc":"Creates a new edit for the provided input, instruction, and parameters.\n\nEndpoint: `https://api.openai.com/v1/edits`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/edits\n\n---\n\n#","ref":"ExOpenAI.Edits.html#create_edit/3","title":"ExOpenAI.Edits.create_edit/3","type":"function"},{"doc":"- `instruction`: The instruction that tells the model how to edit the prompt.\n\n*Example*: `Fix the spelling mistakes.`\n\n- `model`: ID of the model to use. You can use the `text-davinci-edit-001` or `code-davinci-edit-001` model with this endpoint.\n\n\n#","ref":"ExOpenAI.Edits.html#create_edit/3-required-arguments","title":"Required Arguments: - ExOpenAI.Edits.create_edit/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `input`: The input text to use as a starting point for the edit.\n\n*Example*: `\"What day of the wek is it?\"`\n\n- `n`: How many edits to generate for the input and instruction.\n\n*Example*: `1`\n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\nWe generally recommend altering this or `top_p` but not both.\n\n\n*Example*: `1`\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or `temperature` but not both.\n\n\n*Example*: `1`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Edits.html#create_edit/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Edits.create_edit/3","type":"function"},{"doc":"Modules for interacting with the `embeddings` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/embeddings","ref":"ExOpenAI.Embeddings.html","title":"ExOpenAI.Embeddings","type":"module"},{"doc":"Creates an embedding vector representing the input text.\n\nEndpoint: `https://api.openai.com/v1/embeddings`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/embeddings\n\n---\n\n#","ref":"ExOpenAI.Embeddings.html#create_embedding/3","title":"ExOpenAI.Embeddings.create_embedding/3","type":"function"},{"doc":"- `input`: Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. Each input must not exceed the max input tokens for the model (8191 tokens for `text-embedding-ada-002`) and cannot be an empty string. [Example Python code](https://github.com/openai/openai-cookbook/blob/main/examples/How_to_count_tokens_with_tiktoken.ipynb) for counting tokens.\n\n\n- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models/overview) for descriptions of them.\n\n\n\n#","ref":"ExOpenAI.Embeddings.html#create_embedding/3-required-arguments","title":"Required Arguments: - ExOpenAI.Embeddings.create_embedding/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Embeddings.html#create_embedding/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Embeddings.create_embedding/3","type":"function"},{"doc":"Modules for interacting with the `files` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/files","ref":"ExOpenAI.Files.html","title":"ExOpenAI.Files","type":"module"},{"doc":"Upload a file that contains document(s) to be used across various endpoints/features. Currently, the size of all the files uploaded by one organization can be up to 1 GB. Please contact us if you need to increase the storage limit.\n\n\nEndpoint: `https://api.openai.com/v1/files`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---\n\n#","ref":"ExOpenAI.Files.html#create_file/3","title":"ExOpenAI.Files.create_file/3","type":"function"},{"doc":"- `file`: Name of the [JSON Lines](https://jsonlines.readthedocs.io/en/latest/) file to be uploaded.\n\nIf the `purpose` is set to \"fine-tune\", the file will be used for fine-tuning.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `purpose`: The intended purpose of the uploaded documents.\n\nUse \"fine-tune\" for [fine-tuning](https://platform.openai.com/docs/api-reference/fine-tuning). This allows us to validate the format of the uploaded file.\n\n\n\n#","ref":"ExOpenAI.Files.html#create_file/3-required-arguments","title":"Required Arguments: - ExOpenAI.Files.create_file/3","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Files.html#create_file/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Files.create_file/3","type":"function"},{"doc":"Delete a file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---\n\n#","ref":"ExOpenAI.Files.html#delete_file/2","title":"ExOpenAI.Files.delete_file/2","type":"function"},{"doc":"- `file_id`\n\n\n#","ref":"ExOpenAI.Files.html#delete_file/2-required-arguments","title":"Required Arguments: - ExOpenAI.Files.delete_file/2","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Files.html#delete_file/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.Files.delete_file/2","type":"function"},{"doc":"Returns the contents of the specified file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}/content`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---\n\n#","ref":"ExOpenAI.Files.html#download_file/2","title":"ExOpenAI.Files.download_file/2","type":"function"},{"doc":"- `file_id`\n\n\n#","ref":"ExOpenAI.Files.html#download_file/2-required-arguments","title":"Required Arguments: - ExOpenAI.Files.download_file/2","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Files.html#download_file/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.Files.download_file/2","type":"function"},{"doc":"Modules for interacting with the `fine_tunes` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/fine_tunes","ref":"ExOpenAI.FineTunes.html","title":"ExOpenAI.FineTunes","type":"module"},{"doc":"Immediately cancel a fine-tune job.\n\n\nEndpoint: `https://api.openai.com/v1/fine-tunes/{fine_tune_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tunes\n\n---\n\n#","ref":"ExOpenAI.FineTunes.html#cancel_fine_tune/2","title":"ExOpenAI.FineTunes.cancel_fine_tune/2","type":"function"},{"doc":"- `fine_tune_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`\n\n\n#","ref":"ExOpenAI.FineTunes.html#cancel_fine_tune/2-required-arguments","title":"Required Arguments: - ExOpenAI.FineTunes.cancel_fine_tune/2","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTunes.html#cancel_fine_tune/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTunes.cancel_fine_tune/2","type":"function"},{"doc":"Creates a job that fine-tunes a specified model from a given dataset.\n\nResponse includes details of the enqueued job including job status and the name of the fine-tuned models once complete.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/legacy-fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine-tunes`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tunes\n\n---\n\n#","ref":"ExOpenAI.FineTunes.html#create_fine_tune/2","title":"ExOpenAI.FineTunes.create_fine_tune/2","type":"function"},{"doc":"- `training_file`: The ID of an uploaded file that contains training data.\n\nSee [upload file](https://platform.openai.com/docs/api-reference/files/upload) for how to upload a file.\n\nYour dataset must be formatted as a JSONL file, where each training\nexample is a JSON object with the keys \"prompt\" and \"completion\".\nAdditionally, you must upload your file with the purpose `fine-tune`.\n\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/legacy-fine-tuning/creating-training-data) for more details.\n\n\n*Example*: `file-abc123`\n\n\n#","ref":"ExOpenAI.FineTunes.html#create_fine_tune/2-required-arguments","title":"Required Arguments: - ExOpenAI.FineTunes.create_fine_tune/2","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `batch_size`: The batch size to use for training. The batch size is the number of\ntraining examples used to train a single forward and backward pass.\n\nBy default, the batch size will be dynamically configured to be\n~0.2% of the number of examples in the training set, capped at 256 -\nin general, we've found that larger batch sizes tend to work better\nfor larger datasets.\n\n\n- `classification_betas`: If this is provided, we calculate F-beta scores at the specified\nbeta values. The F-beta score is a generalization of F-1 score.\nThis is only used for binary classification.\n\nWith a beta of 1 (i.e. the F-1 score), precision and recall are\ngiven the same weight. A larger beta score puts more weight on\nrecall and less on precision. A smaller beta score puts more weight\non precision and less on recall.\n\n\n*Example*: `[0.6, 1, 1.5, 2]`\n\n- `classification_n_classes`: The number of classes in a classification task.\n\nThis parameter is required for multiclass classification.\n\n\n- `classification_positive_class`: The positive class in binary classification.\n\nThis parameter is needed to generate precision, recall, and F1\nmetrics when doing binary classification.\n\n\n- `compute_classification_metrics`: If set, we calculate classification-specific metrics such as accuracy\nand F-1 score using the validation set at the end of every epoch.\nThese metrics can be viewed in the [results file](https://platform.openai.com/docs/guides/legacy-fine-tuning/analyzing-your-fine-tuned-model).\n\nIn order to compute classification metrics, you must provide a\n`validation_file`. Additionally, you must\nspecify `classification_n_classes` for multiclass classification or\n`classification_positive_class` for binary classification.\n\n\n- `learning_rate_multiplier`: The learning rate multiplier to use for training.\nThe fine-tuning learning rate is the original learning rate used for\npretraining multiplied by this value.\n\nBy default, the learning rate multiplier is the 0.05, 0.1, or 0.2\ndepending on final `batch_size` (larger learning rates tend to\nperform better with larger batch sizes). We recommend experimenting\nwith values in the range 0.02 to 0.2 to see what produces the best\nresults.\n\n\n- `model`: The name of the base model to fine-tune. You can select one of \"ada\",\n\"babbage\", \"curie\", \"davinci\", or a fine-tuned model created after 2022-04-21 and before 2023-08-22.\nTo learn more about these models, see the\n[Models](https://platform.openai.com/docs/models) documentation.\n\n\n- `n_epochs`: The number of epochs to train the model for. An epoch refers to one\nfull cycle through the training dataset.\n\n\n- `prompt_loss_weight`: The weight to use for loss on the prompt tokens. This controls how\nmuch the model tries to learn to generate the prompt (as compared\nto the completion which always has a weight of 1.0), and can add\na stabilizing effect to training when completions are short.\n\nIf prompts are extremely long (relative to completions), it may make\nsense to reduce this weight so as to avoid over-prioritizing\nlearning the prompt.\n\n\n- `suffix`: A string of up to 40 characters that will be added to your fine-tuned model name.\n\nFor example, a `suffix` of \"custom-model-name\" would produce a model name like `ada:ft-your-org:custom-model-name-2022-02-15-04-21-04`.\n\n\n- `validation_file`: The ID of an uploaded file that contains validation data.\n\nIf you provide this file, the data is used to generate validation\nmetrics periodically during fine-tuning. These metrics can be viewed in\nthe [fine-tuning results file](https://platform.openai.com/docs/guides/legacy-fine-tuning/analyzing-your-fine-tuned-model).\nYour train and validation data should be mutually exclusive.\n\nYour dataset must be formatted as a JSONL file, where each validation\nexample is a JSON object with the keys \"prompt\" and \"completion\".\nAdditionally, you must upload your file with the purpose `fine-tune`.\n\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/legacy-fine-tuning/creating-training-data) for more details.\n\n\n*Example*: `\"file-abc123\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTunes.html#create_fine_tune/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTunes.create_fine_tune/2","type":"function"},{"doc":"Get fine-grained status updates for a fine-tune job.\n\n\nEndpoint: `https://api.openai.com/v1/fine-tunes/{fine_tune_id}/events`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tunes\n\n---\n\n#","ref":"ExOpenAI.FineTunes.html#list_fine_tune_events/2","title":"ExOpenAI.FineTunes.list_fine_tune_events/2","type":"function"},{"doc":"- `fine_tune_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`\n\n\n#","ref":"ExOpenAI.FineTunes.html#list_fine_tune_events/2-required-arguments","title":"Required Arguments: - ExOpenAI.FineTunes.list_fine_tune_events/2","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `stream`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTunes.html#list_fine_tune_events/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTunes.list_fine_tune_events/2","type":"function"},{"doc":"Gets info about the fine-tune job.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/legacy-fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine-tunes/{fine_tune_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tunes\n\n---\n\n#","ref":"ExOpenAI.FineTunes.html#retrieve_fine_tune/2","title":"ExOpenAI.FineTunes.retrieve_fine_tune/2","type":"function"},{"doc":"- `fine_tune_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`\n\n\n#","ref":"ExOpenAI.FineTunes.html#retrieve_fine_tune/2-required-arguments","title":"Required Arguments: - ExOpenAI.FineTunes.retrieve_fine_tune/2","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTunes.html#retrieve_fine_tune/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTunes.retrieve_fine_tune/2","type":"function"},{"doc":"Modules for interacting with the `fine_tuning` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/fine_tuning","ref":"ExOpenAI.FineTuning.html","title":"ExOpenAI.FineTuning","type":"module"},{"doc":"Immediately cancel a fine-tune job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---\n\n#","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2","title":"ExOpenAI.FineTuning.cancel_fine_tuning_job/2","type":"function"},{"doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`\n\n\n#","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2-required-arguments","title":"Required Arguments: - ExOpenAI.FineTuning.cancel_fine_tuning_job/2","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTuning.cancel_fine_tuning_job/2","type":"function"},{"doc":"Creates a job that fine-tunes a specified model from a given dataset.\n\nResponse includes details of the enqueued job including job status and the name of the fine-tuned models once complete.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---\n\n#","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3","title":"ExOpenAI.FineTuning.create_fine_tuning_job/3","type":"function"},{"doc":"- `model`: The name of the model to fine-tune. You can select one of the\n[supported models](https://platform.openai.com/docs/guides/fine-tuning/what-models-can-be-fine-tuned).\n\n\n- `training_file`: The ID of an uploaded file that contains training data.\n\nSee [upload file](https://platform.openai.com/docs/api-reference/files/upload) for how to upload a file.\n\nYour dataset must be formatted as a JSONL file. Additionally, you must upload your file with the purpose `fine-tune`.\n\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/fine-tuning) for more details.\n\n\n*Example*: `file-abc123`\n\n\n#","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3-required-arguments","title":"Required Arguments: - ExOpenAI.FineTuning.create_fine_tuning_job/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `hyperparameters`: The hyperparameters used for the fine-tuning job.\n\n- `suffix`: A string of up to 18 characters that will be added to your fine-tuned model name.\n\nFor example, a `suffix` of \"custom-model-name\" would produce a model name like `ft:gpt-3.5-turbo:openai:custom-model-name:7p4lURel`.\n\n\n- `validation_file`: The ID of an uploaded file that contains validation data.\n\nIf you provide this file, the data is used to generate validation\nmetrics periodically during fine-tuning. These metrics can be viewed in\nthe fine-tuning results file.\nThe same data should not be present in both train and validation files.\n\nYour dataset must be formatted as a JSONL file. You must upload your file with the purpose `fine-tune`.\n\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/fine-tuning) for more details.\n\n\n*Example*: `\"file-abc123\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTuning.create_fine_tuning_job/3","type":"function"},{"doc":"Get status updates for a fine-tuning job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/events`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---\n\n#","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2","title":"ExOpenAI.FineTuning.list_fine_tuning_events/2","type":"function"},{"doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`\n\n\n#","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2-required-arguments","title":"Required Arguments: - ExOpenAI.FineTuning.list_fine_tuning_events/2","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTuning.list_fine_tuning_events/2","type":"function"},{"doc":"Get info about a fine-tuning job.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---\n\n#","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2","title":"ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","type":"function"},{"doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`\n\n\n#","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2-required-arguments","title":"Required Arguments: - ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","type":"function"},{"doc":"Modules for interacting with the `images` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/images","ref":"ExOpenAI.Images.html","title":"ExOpenAI.Images","type":"module"},{"doc":"Creates an image given a prompt.\n\nEndpoint: `https://api.openai.com/v1/images/generations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---\n\n#","ref":"ExOpenAI.Images.html#create_image/2","title":"ExOpenAI.Images.create_image/2","type":"function"},{"doc":"- `prompt`: A text description of the desired image(s). The maximum length is 1000 characters.\n\n*Example*: `A cute baby sea otter`\n\n\n#","ref":"ExOpenAI.Images.html#create_image/2-required-arguments","title":"Required Arguments: - ExOpenAI.Images.create_image/2","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `n`: The number of images to generate. Must be between 1 and 10.\n\n*Example*: `1`\n\n- `response_format`: The format in which the generated images are returned. Must be one of `url` or `b64_json`.\n\n*Example*: `\"url\"`\n\n- `size`: The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024`.\n\n*Example*: `\"1024x1024\"`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Images.html#create_image/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.Images.create_image/2","type":"function"},{"doc":"Creates an edited or extended image given an original image and a prompt.\n\nEndpoint: `https://api.openai.com/v1/images/edits`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---\n\n#","ref":"ExOpenAI.Images.html#create_image_edit/3","title":"ExOpenAI.Images.create_image_edit/3","type":"function"},{"doc":"- `image`: The image to edit. Must be a valid PNG file, less than 4MB, and square. If mask is not provided, image must have transparency, which will be used as the mask.\n\n- `prompt`: A text description of the desired image(s). The maximum length is 1000 characters.\n\n*Example*: `A cute baby sea otter wearing a beret`\n\n\n#","ref":"ExOpenAI.Images.html#create_image_edit/3-required-arguments","title":"Required Arguments: - ExOpenAI.Images.create_image_edit/3","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `mask`: An additional image whose fully transparent areas (e.g. where alpha is zero) indicate where `image` should be edited. Must be a valid PNG file, less than 4MB, and have the same dimensions as `image`.\n\n- `n`: The number of images to generate. Must be between 1 and 10.\n\n*Example*: `1`\n\n- `response_format`: The format in which the generated images are returned. Must be one of `url` or `b64_json`.\n\n*Example*: `\"url\"`\n\n- `size`: The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024`.\n\n*Example*: `\"1024x1024\"`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Images.html#create_image_edit/3-optional-arguments","title":"Optional Arguments: - ExOpenAI.Images.create_image_edit/3","type":"function"},{"doc":"Creates a variation of a given image.\n\nEndpoint: `https://api.openai.com/v1/images/variations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---\n\n#","ref":"ExOpenAI.Images.html#create_image_variation/2","title":"ExOpenAI.Images.create_image_variation/2","type":"function"},{"doc":"- `image`: The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.\n\n\n#","ref":"ExOpenAI.Images.html#create_image_variation/2-required-arguments","title":"Required Arguments: - ExOpenAI.Images.create_image_variation/2","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `n`: The number of images to generate. Must be between 1 and 10.\n\n*Example*: `1`\n\n- `response_format`: The format in which the generated images are returned. Must be one of `url` or `b64_json`.\n\n*Example*: `\"url\"`\n\n- `size`: The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024`.\n\n*Example*: `\"1024x1024\"`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Images.html#create_image_variation/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.Images.create_image_variation/2","type":"function"},{"doc":"Modules for interacting with the `models` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/models","ref":"ExOpenAI.Models.html","title":"ExOpenAI.Models","type":"module"},{"doc":"Delete a fine-tuned model. You must have the Owner role in your organization to delete a model.\n\nEndpoint: `https://api.openai.com/v1/models/{model}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---\n\n#","ref":"ExOpenAI.Models.html#delete_model/2","title":"ExOpenAI.Models.delete_model/2","type":"function"},{"doc":"- `model`\n\n*Example*: `ft:gpt-3.5-turbo:acemeco:suffix:abc123`\n\n\n#","ref":"ExOpenAI.Models.html#delete_model/2-required-arguments","title":"Required Arguments: - ExOpenAI.Models.delete_model/2","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Models.html#delete_model/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.Models.delete_model/2","type":"function"},{"doc":"Lists the currently available models, and provides basic information about each one such as the owner and availability.\n\nEndpoint: `https://api.openai.com/v1/models`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---\n\n#","ref":"ExOpenAI.Models.html#list_models/1","title":"ExOpenAI.Models.list_models/1","type":"function"},{"doc":"#","ref":"ExOpenAI.Models.html#list_models/1-required-arguments","title":"Required Arguments: - ExOpenAI.Models.list_models/1","type":"function"},{"doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Models.html#list_models/1-optional-arguments","title":"Optional Arguments: - ExOpenAI.Models.list_models/1","type":"function"},{"doc":"Modules for interacting with the `moderations` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/moderations","ref":"ExOpenAI.Moderations.html","title":"ExOpenAI.Moderations","type":"module"},{"doc":"Classifies if text violates OpenAI's Content Policy\n\nEndpoint: `https://api.openai.com/v1/moderations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/moderations\n\n---\n\n#","ref":"ExOpenAI.Moderations.html#create_moderation/2","title":"ExOpenAI.Moderations.create_moderation/2","type":"function"},{"doc":"- `input`: The input text to classify\n\n\n#","ref":"ExOpenAI.Moderations.html#create_moderation/2-required-arguments","title":"Required Arguments: - ExOpenAI.Moderations.create_moderation/2","type":"function"},{"doc":"- `stream_to`: PID of the process to stream content to\n\n- `model`: Two content moderations models are available: `text-moderation-stable` and `text-moderation-latest`.\n\nThe default is `text-moderation-latest` which will be automatically upgraded over time. This ensures you are always using our most accurate model. If you use `text-moderation-stable`, we will provide advanced notice before updating the model. Accuracy of `text-moderation-stable` may be slightly lower than for `text-moderation-latest`.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.","ref":"ExOpenAI.Moderations.html#create_moderation/2-optional-arguments","title":"Optional Arguments: - ExOpenAI.Moderations.create_moderation/2","type":"function"},{"doc":"","ref":"ExOpenAI.StreamingClient.html","title":"ExOpenAI.StreamingClient","type":"behaviour"},{"doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExOpenAI.StreamingClient.html#child_spec/1","title":"ExOpenAI.StreamingClient.child_spec/1","type":"function"},{"doc":"","ref":"ExOpenAI.StreamingClient.html#handle_chunk/2","title":"ExOpenAI.StreamingClient.handle_chunk/2","type":"function"},{"doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_data/2","title":"ExOpenAI.StreamingClient.handle_data/2","type":"callback"},{"doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_error/2","title":"ExOpenAI.StreamingClient.handle_error/2","type":"callback"},{"doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_finish/1","title":"ExOpenAI.StreamingClient.handle_finish/1","type":"callback"},{"doc":"","ref":"ExOpenAI.StreamingClient.html#init/1","title":"ExOpenAI.StreamingClient.init/1","type":"function"},{"doc":"","ref":"ExOpenAI.StreamingClient.html#start_link/2","title":"ExOpenAI.StreamingClient.start_link/2","type":"function"},{"doc":"","ref":"Hoge.html","title":"Hoge","type":"module"},{"doc":"","ref":"Hoge.html#test/0","title":"Hoge.test/0","type":"function"},{"doc":"Updates OpenAI API documentation files","ref":"Mix.Tasks.UpdateOpenaiDocs.html","title":"mix update_openai_docs","type":"task"}]}